aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdooble/watch16
1 files changed, 16 insertions, 0 deletions
diff --git a/dooble/watch b/dooble/watch
new file mode 100755
index 0000000..8f1968d
--- /dev/null
+++ b/dooble/watch
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+wget http://dooble.sourceforge.net/ >/dev/null 2>/dev/null
+if [ $? = 0 ]; then
+ grep Release < index.html | md5sum > new-sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'dooble'
+ fi
+ rm index.html
+else
+ echo 'dooble (unfetchable)'
+fi
+